Subject: Re: [RFC PATCH v2 1/2] Makefile: add check-headers target

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Sep 2014 11:56:57 -0700

David Aguilar <[email-masked]> writes:

> +IFS='
> +'
> +git ls-files *.h ewah/*.h vcs-svn/*.h xdiff/*.h |

Hmm.  This is only for true developers (not one who merely compiles
after expanding a tarball), so "git ls-files" may probably be OK.

But "/bin/ls" would be equally fine for that, no?  After all, you
are letting your shell to expand the wildcard, and a developer would
want to make sure his new header is kosher before running "git add"
on it.